Bug 802086

Summary: hang on logout
Product: [Fedora] Fedora Reporter: Joel Rees <joel_rees>
Component: pangoAssignee: Matthias Clasen <mclasen>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 18CC: cwickert, fonts-bugs, i18n-bugs, kalevlember, mclasen, mlichvar, petersen, sz2243
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-11-23 07:32:00 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Joel Rees 2012-03-10 23:33:13 UTC
Description of problem:
Logging out of an X11 session (openbox) often leaves the X11 session hung. Switching to a virtual console and running ps shows only one process owned by the logged out user, and that is openbox. Directly killing that process does not do much, but telinit 3 followed by telinit 5 (logging back after each) gets me a new X11 session that I can log into.


Version-Release number of selected component (if applicable):
openbox i686 v. 3.5.0 rel. 3.fc16

How reproducible:
Pretty consistent, particularly if I switch to a virtual console at some time.


Steps to Reproduce:
1. Use the usual ctl-alt-Fn combination to switch to a virtual console at some time during an X11 session, do something (yum update, check permissions on a different user, etc.), switch back.

2. Select logout from the Fedora menu in openbox. Select logout from the dialog that comes up.

3. Wait. (New login dialog is not presented.)
  

Actual results:
Wallpaper remains displayed in the background, panel disappears, all items on desktop disappear, cursor still responds, login screen is not presented.


Expected results:
Usually, the wallpaper would go away once and then be brought back, and a login dialog would be presented, of course.


Additional info:
As noted above, I can still switch to a virtual console and work on the command line. 

running a "ps wwaux | grep username" shows only one process owned by the logged out user, and that appears to be the openbox process of the session that failed to logout.

I looked for related messages in /var/log, but I don't see any. Probably don't know where to look or what to look for.

Comment 1 Joel Rees 2012-03-30 09:48:37 UTC
On a suggestion from the user list, about libreoffice, I did 

yum group erase LXDE 
yum group install LXDE

and, unfortunately, on a whim, did this before checking:

yum group install xfce

so I don't know which did the trick. But this problem seems to be solved on this machine.

So the bug here would seem to be something about the security spin, or perhaps something about the way I built the live USB image from that.

Comment 2 Jens Petersen 2012-09-27 08:54:28 UTC
All happens for F18.

eg:
1. net install selecting basic-x-windows with xmonad in anaconda
2. login to openbox from lightdm
3. Right button -> Quit (or Exit)

X session left running after openbox exits.

I guess openbox-session is not exiting properly.

Comment 3 Jens Petersen 2012-09-27 10:03:03 UTC
Anyway I guess it is due to some missing dependency as you say
since exit/logout works fine from the LXDE (and XFCE) spins.

Not sure yet what the missing package is when coming
from a "minimal" install.

Comment 4 Christoph Wickert 2012-09-27 10:18:46 UTC
Well, both Xfce and LXDE have their session managers (xfce4-session and lxsession) while openbox has not. openbox-session is just s script that runs some stuff before it starts openbox.

If the screen hangs on logout, can you please change to a virtual terminal, log in and see what processes are still running? Is openbox itself still running?

Comment 5 Jens Petersen 2012-09-28 06:09:55 UTC
(In reply to comment #4)
> Is openbox itself still running?

Yes it is.


Actually there seems to be some recent regression (or change at least)
compared to F18 Alpha:

For an openbox session in Fedora-18-Alpha-x86_64-Live-LXDE logout
works immediately, but it hangs in for example
Fedora-18-Nightly-20120927.12-i686-Live-lxde
(I don't arch is significant since I also see the hang on x86_64).

(Exiting from LXDE still works fine though.)

Comment 6 Jens Petersen 2012-09-28 10:00:20 UTC
(In reply to comment #4)
> If the screen hangs on logout, can you please change to a virtual terminal,
> log in and see what processes are still running?

Here is the output from loginctl after clicking on Logout:

$ loginctl session-status 1
1 - petersen (1000)
	   Since: Fri, 28 Sep 2012 17:15:16 +0900; 33min ago
	  Leader: 953 (lxdm-binary)
	    Seat: seat0; vc1
	     TTY: tty1
	 Service: lxdm; type x11; class user
	   State: online
	  CGroup: name=systemd:/user/petersen/1
		  ├  953 /usr/sbin/lxdm-binary
		  ├ 1035 /usr/bin/openbox --startup /usr/libexec/openbox-au...
		  ├ 1045 dbus-launch --sh-syntax --exit-with-session
		  ├ 1046 /bin/dbus-daemon --fork --print-pid 4 --print-addr...
		  ├ 1111 /usr/libexec/imsettings-daemon
		  ├ 1114 /usr/libexec/gvfsd
		  ├ 1123 /usr/libexec//gvfsd-fuse -f /run/user/1000/gvfs
		  ├ 1226 /usr/bin/seapplet
		  ├ 1227 /usr/bin/python /usr/share/system-config-printer/a...
		  ├ 1228 /usr/libexec/lxpolkit
		  ├ 1229 nm-applet
		  ├ 1233 abrt-applet
		  ├ 1234 /usr/bin/spice-vdagent
		  ├ 1285 /usr/libexec/dconf-service
		  ├ 1289 /usr/bin/pulseaudio --start
		  ├ 1297 /usr/libexec/at-spi-bus-launcher
		  ├ 1301 /bin/dbus-daemon --config-file=/etc/at-spi2/access...
		  ├ 1305 /usr/libexec/at-spi2-registryd --use-gnome-session...
		  └ 1311 /usr/libexec/gconfd-2

Here is a gdb backtrace too which at least shows that openbox
is trying to close the display:

(gdb) bt
#0  0xb77cc416 in __kernel_vsyscall ()
#1  0xb71a9e52 in __lll_lock_wait ()
    at ../nptl/sysdeps/unix/sysv/linux/i386/i486/lowlevellock.S:144
#2  0xb71a59b1 in _L_lock_860 () from /lib/libpthread.so.0
#3  0xb71a5975 in __GI___pthread_mutex_lock (mutex=0x9834480)
    at pthread_mutex_lock.c:104
#4  0xb72ba304 in pthread_mutex_lock (mutex=0x9834480) at forward.c:192
#5  0xb76ee981 in g_mutex_lock (mutex=0xb70d21f4) at gthread-posix.c:208
#6  0xb70cd599 in pango_xft_find_font_map () from /lib/libpangoxft-1.0.so.0
#7  0xb70cdaac in pango_xft_shutdown_display () from /lib/libpangoxft-1.0.so.0
#8  0xb70cdbaf in close_display_cb () from /lib/libpangoxft-1.0.so.0
#9  0xb7520333 in XCloseDisplay (dpy=0x9817e68) at ClDisplay.c:65
#10 0xb736fb87 in obt_display_close () at obt/display.c:135
#11 0x080545de in main (argc=1, argv=0xbff92674) at openbox/openbox.c:422


(BTW in comment 2 I meant "Also happens...".)

Comment 7 Jens Petersen 2012-10-05 08:39:16 UTC
I guess mine is something new or different though the symptoms are the same.
The difference is that vanilla openbox hangs always now on logout,
at least without ConsoleKit setup correctly perhaps.

Comment 8 Sean Zimmermann 2012-11-12 00:05:14 UTC
This appears to be a bug in pango, not in openbox.

Here's the bug filed against pango:
https://bugzilla.gnome.org/show_bug.cgi?id=687470

For more information, here's the archlinux thread where the bug was discussed. The patch proposed was found by one of the users there, and the explaination is also there:
https://bbs.archlinux.org/viewtopic.php?id=151786&p=1

I can confirm that applying the patch resolved the problem for me.

Comment 9 Kalev Lember 2012-11-14 09:44:12 UTC
pango-1.32.2-1.fc18 includes the fix for xft display closing deadlock.

Comment 10 Fedora Update System 2012-11-14 22:04:42 UTC
accerciser-3.6.2-1.fc18,anjuta-3.6.2-1.fc18,at-spi2-atk-2.6.2-1.fc18,at-spi2-core-2.6.2-1.fc18,baobab-3.6.2-2.fc18,brasero-3.6.1-1.fc18,cheese-3.6.2-1.fc18,control-center-3.6.3-1.fc18,dconf-0.14.1-3.fc18,devhelp-3.6.1-1.fc18,empathy-3.6.2-1.fc18,eog-3.6.2-1.fc18,evolution-3.6.2-2.fc18,evolution-data-server-3.6.2-1.fc18,evolution-ews-3.6.1-1.fc18,evolution-mapi-3.6.2-1.fc18,file-roller-3.6.2-1.fc18,gcalctool-6.6.2-1.fc18,gcr-3.6.2-1.fc18,gdk-pixbuf2-2.26.5-1.fc18,gdm-3.6.2-1.fc18,gedit-3.6.2-1.fc18,glib2-2.34.2-1.fc18,glibmm24-2.34.1-1.fc18,glib-networking-2.34.2-1.fc18,glom-1.22.1-1.fc18,gmime-2.6.12-1.fc18,gnome-contacts-3.6.2-1.fc18,gnome-desktop3-3.6.2-1.fc18,gnome-devel-docs-3.6.2-1.fc18,gnome-documents-3.6.2-1.fc18,gnome-font-viewer-3.6.1-1.fc18,gnome-icon-theme-3.6.2-1.fc18,gnome-icon-theme-extras-3.6.2-1.fc18,gnome-icon-theme-symbolic-3.6.2-1.fc18,gnome-keyring-3.6.2-1.fc18,gnome-menus-3.6.1-1.fc18,gnome-online-accounts-3.6.2-1.fc18,gnome-packagekit-3.6.1-1.fc18,gnome-panel-3.6.2-1.fc18,gnome-screenshot-3.6.1-1.fc18,gnome-session-3.6.2-2.fc18,gnome-settings-daemon-3.6.3-1.fc18,gnome-shell-3.6.2-2.fc18,gnome-system-log-3.6.1-1.fc18,gnome-themes-standard-3.6.2-1.fc18,gnome-user-docs-3.6.2-1.fc18,gnote-3.6.1-1.fc18,gobject-introspection-1.34.2-1.fc18,grilo-0.2.3-1.fc18,grilo-plugins-0.2.3-1.fc18,gsettings-desktop-schemas-3.6.1-1.fc18,gtk3-3.6.2-1.fc18,gtkhtml3-4.6.1-1.fc18,gucharmap-3.6.1-1.fc18,gvfs-1.14.2-1.fc18,libcroco-0.6.8-1.fc18,libgdl-3.6.2-1.fc18,libgee06-0.6.6.1-1.fc18,libgweather-3.6.2-1.fc18,libsoup-2.40.2-1.fc18,libwnck3-3.4.4-1.fc18,libxml++-2.36.0-1.fc18,mutter-3.6.2-1.fc18,nautilus-3.6.3-1.fc18,orca-3.6.3-1.fc18,pango-1.32.2-1.fc18,pangox-compat-0.0.2-1.fc18,pyatspi-2.6.0-1.fc18,pygobject3-3.4.2-2.fc18,seahorse-3.6.3-1.fc18,seahorse-sharing-3.6.1-1.fc18,sushi-3.6.1-1.fc18,tracker-0.14.4-1.fc18,vala-0.18.1-1.fc18,vinagre-3.6.2-1.fc18,vino-3.6.2-1.fc18,vte3-0.34.2-1.fc18,yelp-3.6.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/accerciser-3.6.2-1.fc18,anjuta-3.6.2-1.fc18,at-spi2-atk-2.6.2-1.fc18,at-spi2-core-2.6.2-1.fc18,baobab-3.6.2-2.fc18,brasero-3.6.1-1.fc18,cheese-3.6.2-1.fc18,control-center-3.6.3-1.fc18,dconf-0.14.1-3.fc18,devhelp-3.6.1-1.fc18,empathy-3.6.2-1.fc18,eog-3.6.2-1.fc18,evolution-3.6.2-2.fc18,evolution-data-server-3.6.2-1.fc18,evolution-ews-3.6.1-1.fc18,evolution-mapi-3.6.2-1.fc18,file-roller-3.6.2-1.fc18,gcalctool-6.6.2-1.fc18,gcr-3.6.2-1.fc18,gdk-pixbuf2-2.26.5-1.fc18,gdm-3.6.2-1.fc18,gedit-3.6.2-1.fc18,glib2-2.34.2-1.fc18,glibmm24-2.34.1-1.fc18,glib-networking-2.34.2-1.fc18,glom-1.22.1-1.fc18,gmime-2.6.12-1.fc18,gnome-contacts-3.6.2-1.fc18,gnome-desktop3-3.6.2-1.fc18,gnome-devel-docs-3.6.2-1.fc18,gnome-documents-3.6.2-1.fc18,gnome-font-viewer-3.6.1-1.fc18,gnome-icon-theme-3.6.2-1.fc18,gnome-icon-theme-extras-3.6.2-1.fc18,gnome-icon-theme-symbolic-3.6.2-1.fc18,gnome-keyring-3.6.2-1.fc18,gnome-menus-3.6.1-1.fc18,gnome-online-accounts-3.6.2-1.fc18,gnome-packagekit-3.6.1-1.fc18,gnome-panel-3.6.2-1.fc18,gnome-screenshot-3.6.1-1.fc18,gnome-session-3.6.2-2.fc18,gnome-settings-daemon-3.6.3-1.fc18,gnome-shell-3.6.2-2.fc18,gnome-system-log-3.6.1-1.fc18,gnome-themes-standard-3.6.2-1.fc18,gnome-user-docs-3.6.2-1.fc18,gnote-3.6.1-1.fc18,gobject-introspection-1.34.2-1.fc18,grilo-0.2.3-1.fc18,grilo-plugins-0.2.3-1.fc18,gsettings-desktop-schemas-3.6.1-1.fc18,gtk3-3.6.2-1.fc18,gtkhtml3-4.6.1-1.fc18,gucharmap-3.6.1-1.fc18,gvfs-1.14.2-1.fc18,libcroco-0.6.8-1.fc18,libgdl-3.6.2-1.fc18,libgee06-0.6.6.1-1.fc18,libgweather-3.6.2-1.fc18,libsoup-2.40.2-1.fc18,libwnck3-3.4.4-1.fc18,libxml++-2.36.0-1.fc18,mutter-3.6.2-1.fc18,nautilus-3.6.3-1.fc18,orca-3.6.3-1.fc18,pango-1.32.2-1.fc18,pangox-compat-0.0.2-1.fc18,pyatspi-2.6.0-1.fc18,pygobject3-3.4.2-2.fc18,seahorse-3.6.3-1.fc18,seahorse-sharing-3.6.1-1.fc18,sushi-3.6.1-1.fc18,tracker-0.14.4-1.fc18,vala-0.18.1-1.fc18,vinagre-3.6.2-1.fc18,vino-3.6.2-1.fc18,vte3-0.34.2-1.fc18,yelp-3.6.2-1.fc18

Comment 11 Fedora Update System 2012-11-15 06:28:26 UTC
Package accerciser-3.6.2-1.fc18, anjuta-3.6.2-1.fc18, at-spi2-atk-2.6.2-1.fc18, at-spi2-core-2.6.2-1.fc18, baobab-3.6.2-2.fc18, brasero-3.6.1-1.fc18, cheese-3.6.2-1.fc18, control-center-3.6.3-1.fc18, dconf-0.14.1-3.fc18, devhelp-3.6.1-1.fc18, empathy-3.6.2-1.fc18, eog-3.6.2-1.fc18, evolution-3.6.2-2.fc18, evolution-data-server-3.6.2-1.fc18, evolution-ews-3.6.1-1.fc18, evolution-mapi-3.6.2-1.fc18, file-roller-3.6.2-1.fc18, gcalctool-6.6.2-1.fc18, gcr-3.6.2-1.fc18, gdk-pixbuf2-2.26.5-1.fc18, gdm-3.6.2-1.fc18, gedit-3.6.2-1.fc18, glib2-2.34.2-1.fc18, glibmm24-2.34.1-1.fc18, glib-networking-2.34.2-1.fc18, glom-1.22.1-1.fc18, gmime-2.6.12-1.fc18, gnome-contacts-3.6.2-1.fc18, gnome-desktop3-3.6.2-1.fc18, gnome-devel-docs-3.6.2-1.fc18, gnome-documents-3.6.2-1.fc18, gnome-font-viewer-3.6.1-1.fc18, gnome-icon-theme-3.6.2-1.fc18, gnome-icon-theme-extras-3.6.2-1.fc18, gnome-icon-theme-symbolic-3.6.2-1.fc18, gnome-keyring-3.6.2-1.fc18, gnome-menus-3.6.1-1.fc18, gnome-online-accounts-3.6.2-1.fc18, gnome-packagekit-3.6.1-1.fc18, gnome-panel-3.6.2-1.fc18, gnome-screenshot-3.6.1-1.fc18, gnome-session-3.6.2-2.fc18, gnome-settings-daemon-3.6.3-1.fc18, gnome-shell-3.6.2-2.fc18, gnome-system-log-3.6.1-1.fc18, gnome-themes-standard-3.6.2-1.fc18, gnome-user-docs-3.6.2-1.fc18, gnote-3.6.1-1.fc18, gobject-introspection-1.34.2-1.fc18, grilo-0.2.3-1.fc18, grilo-plugins-0.2.3-1.fc18, gsettings-desktop-schemas-3.6.1-1.fc18, gtk3-3.6.2-1.fc18, gtkhtml3-4.6.1-1.fc18, gucharmap-3.6.1-1.fc18, gvfs-1.14.2-1.fc18, libcroco-0.6.8-1.fc18, libgdl-3.6.2-1.fc18, libgee06-0.6.6.1-1.fc18, libgweather-3.6.2-1.fc18, libsoup-2.40.2-1.fc18, libwnck3-3.4.4-1.fc18, libxml++-2.36.0-1.fc18, mutter-3.6.2-1.fc18, nautilus-3.6.3-1.fc18, orca-3.6.3-1.fc18, pango-1.32.2-1.fc18, pangox-compat-0.0.2-1.fc18, pyatspi-2.6.0-1.fc18, pygobject3-3.4.2-2.fc18, seahorse-3.6.3-1.fc18, seahorse-sharing-3.6.1-1.fc18, sushi-3.6.1-1.fc18, tracker-0.14.4-1.fc18, vala-0.18.1-1.fc18, vinagre-3.6.2-1.fc18, vino-3.6.2-1.fc18, vte3-0.34.2-1.fc18, yelp-3.6.2-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing accerciser-3.6.2-1.fc18 anjuta-3.6.2-1.fc18 at-spi2-atk-2.6.2-1.fc18 at-spi2-core-2.6.2-1.fc18 baobab-3.6.2-2.fc18 brasero-3.6.1-1.fc18 cheese-3.6.2-1.fc18 control-center-3.6.3-1.fc18 dconf-0.14.1-3.fc18 devhelp-3.6.1-1.fc18 empathy-3.6.2-1.fc18 eog-3.6.2-1.fc18 evolution-3.6.2-2.fc18 evolution-data-server-3.6.2-1.fc18 evolution-ews-3.6.1-1.fc18 evolution-mapi-3.6.2-1.fc18 file-roller-3.6.2-1.fc18 gcalctool-6.6.2-1.fc18 gcr-3.6.2-1.fc18 gdk-pixbuf2-2.26.5-1.fc18 gdm-3.6.2-1.fc18 gedit-3.6.2-1.fc18 glib2-2.34.2-1.fc18 glibmm24-2.34.1-1.fc18 glib-networking-2.34.2-1.fc18 glom-1.22.1-1.fc18 gmime-2.6.12-1.fc18 gnome-contacts-3.6.2-1.fc18 gnome-desktop3-3.6.2-1.fc18 gnome-devel-docs-3.6.2-1.fc18 gnome-documents-3.6.2-1.fc18 gnome-font-viewer-3.6.1-1.fc18 gnome-icon-theme-3.6.2-1.fc18 gnome-icon-theme-extras-3.6.2-1.fc18 gnome-icon-theme-symbolic-3.6.2-1.fc18 gnome-keyring-3.6.2-1.fc18 gnome-menus-3.6.1-1.fc18 gnome-online-accounts-3.6.2-1.fc18 gnome-packagekit-3.6.1-1.fc18 gnome-panel-3.6.2-1.fc18 gnome-screenshot-3.6.1-1.fc18 gnome-session-3.6.2-2.fc18 gnome-settings-daemon-3.6.3-1.fc18 gnome-shell-3.6.2-2.fc18 gnome-system-log-3.6.1-1.fc18 gnome-themes-standard-3.6.2-1.fc18 gnome-user-docs-3.6.2-1.fc18 gnote-3.6.1-1.fc18 gobject-introspection-1.34.2-1.fc18 grilo-0.2.3-1.fc18 grilo-plugins-0.2.3-1.fc18 gsettings-desktop-schemas-3.6.1-1.fc18 gtk3-3.6.2-1.fc18 gtkhtml3-4.6.1-1.fc18 gucharmap-3.6.1-1.fc18 gvfs-1.14.2-1.fc18 libcroco-0.6.8-1.fc18 libgdl-3.6.2-1.fc18 libgee06-0.6.6.1-1.fc18 libgweather-3.6.2-1.fc18 libsoup-2.40.2-1.fc18 libwnck3-3.4.4-1.fc18 libxml++-2.36.0-1.fc18 mutter-3.6.2-1.fc18 nautilus-3.6.3-1.fc18 orca-3.6.3-1.fc18 pango-1.32.2-1.fc18 pangox-compat-0.0.2-1.fc18 pyatspi-2.6.0-1.fc18 pygobject3-3.4.2-2.fc18 seahorse-3.6.3-1.fc18 seahorse-sharing-3.6.1-1.fc18 sushi-3.6.1-1.fc18 tracker-0.14.4-1.fc18 vala-0.18.1-1.fc18 vinagre-3.6.2-1.fc18 vino-3.6.2-1.fc18 vte3-0.34.2-1.fc18 yelp-3.6.2-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-18258/accerciser-3.6.2-1.fc18,anjuta-3.6.2-1.fc18,at-spi2-atk-2.6.2-1.fc18,at-spi2-core-2.6.2-1.fc18,baobab-3.6.2-2.fc18,brasero-3.6.1-1.fc18,cheese-3.6.2-1.fc18,control-center-3.6.3-1.fc18,dconf-0.14.1-3.fc18,devhelp-3.6.1-1.fc18,empathy-3.6.2-1.fc18,eog-3.6.2-1.fc18,evolution-3.6.2-2.fc18,evolution-data-server-3.6.2-1.fc18,evolution-ews-3.6.1-1.fc18,evolution-mapi-3.6.2-1.fc18,file-roller-3.6.2-1.fc18,gcalctool-6.6.2-1.fc18,gcr-3.6.2-1.fc18,gdk-pixbuf2-2.26.5-1.fc18,gdm-3.6.2-1.fc18,gedit-3.6.2-1.fc18,glib2-2.34.2-1.fc18,glibmm24-2.34.1-1.fc18,glib-networking-2.34.2-1.fc18,glom-1.22.1-1.fc18,gmime-2.6.12-1.fc18,gnome-contacts-3.6.2-1.fc18,gnome-desktop3-3.6.2-1.fc18,gnome-devel-docs-3.6.2-1.fc18,gnome-documents-3.6.2-1.fc18,gnome-font-viewer-3.6.1-1.fc18,gnome-icon-theme-3.6.2-1.fc18,gnome-icon-theme-extras-3.6.2-1.fc18,gnome-icon-theme-symbolic-3.6.2-1.fc18,gnome-keyring-3.6.2-1.fc18,gnome-menus-3.6.1-1.fc18,gnome-online-accounts-3.6.2-1.fc18,gnome-packagekit-3.6.1-1.fc18,gnome-panel-3.6.2-1.fc18,gnome-screenshot-3.6.1-1.fc18,gnome-session-3.6.2-2.fc18,gnome-settings-daemon-3.6.3-1.fc18,gnome-shell-3.6.2-2.fc18,gnome-system-log-3.6.1-1.fc18,gnome-themes-standard-3.6.2-1.fc18,gnome-user-docs-3.6.2-1.fc18,gnote-3.6.1-1.fc18,gobject-introspection-1.34.2-1.fc18,grilo-0.2.3-1.fc18,grilo-plugins-0.2.3-1.fc18,gsettings-desktop-schemas-3.6.1-1.fc18,gtk3-3.6.2-1.fc18,gtkhtml3-4.6.1-1.fc18,gucharmap-3.6.1-1.fc18,gvfs-1.14.2-1.fc18,libcroco-0.6.8-1.fc18,libgdl-3.6.2-1.fc18,libgee06-0.6.6.1-1.fc18,libgweather-3.6.2-1.fc18,libsoup-2.40.2-1.fc18,libwnck3-3.4.4-1.fc18,libxml++-2.36.0-1.fc18,mutter-3.6.2-1.fc18,nautilus-3.6.3-1.fc18,orca-3.6.3-1.fc18,pango-1.32.2-1.fc18,pangox-compat-0.0.2-1.fc18,pyatspi-2.6.0-1.fc18,pygobject3-3.4.2-2.fc18,seahorse-3.6.3-1.fc18,seahorse-sharing-3.6.1-1.fc18,sushi-3.6.1-1.fc18,tracker-0.14.4-1.fc18,vala-0.18.1-1.fc18,vinagre-3.6.2-1.fc18,vino-3.6.2-1.fc18,vte3-0.34.2-1.fc18,yelp-3.6.2-1.fc18
then log in and leave karma (feedback).

Comment 12 Fedora Update System 2012-11-17 02:24:04 UTC
Package accerciser-3.6.2-1.fc18, anjuta-3.6.2-1.fc18, at-spi2-atk-2.6.2-1.fc18, at-spi2-core-2.6.2-1.fc18, brasero-3.6.1-1.fc18, cheese-3.6.2-1.fc18, control-center-3.6.3-1.fc18, dconf-0.14.1-3.fc18, devhelp-3.6.1-1.fc18, empathy-3.6.2-1.fc18, eog-3.6.2-1.fc18, evolution-3.6.2-2.fc18, evolution-data-server-3.6.2-1.fc18, evolution-ews-3.6.1-1.fc18, evolution-mapi-3.6.2-1.fc18, file-roller-3.6.2-1.fc18, gcalctool-6.6.2-1.fc18, gcr-3.6.2-1.fc18, gdk-pixbuf2-2.26.5-1.fc18, gdm-3.6.2-1.fc18, gedit-3.6.2-1.fc18, glib2-2.34.2-1.fc18, glibmm24-2.34.1-1.fc18, glib-networking-2.34.2-1.fc18, glom-1.22.1-1.fc18, gmime-2.6.12-1.fc18, gnome-contacts-3.6.2-1.fc18, gnome-desktop3-3.6.2-1.fc18, gnome-devel-docs-3.6.2-1.fc18, gnome-documents-3.6.2-1.fc18, gnome-font-viewer-3.6.1-1.fc18, gnome-icon-theme-3.6.2-1.fc18, gnome-icon-theme-extras-3.6.2-1.fc18, gnome-icon-theme-symbolic-3.6.2-1.fc18, gnome-keyring-3.6.2-1.fc18, gnome-menus-3.6.1-1.fc18, gnome-online-accounts-3.6.2-1.fc18, gnome-packagekit-3.6.1-1.fc18, gnome-panel-3.6.2-1.fc18, gnome-screenshot-3.6.1-1.fc18, gnome-session-3.6.2-2.fc18, gnome-settings-daemon-3.6.3-1.fc18, gnome-shell-3.6.2-2.fc18, gnome-system-log-3.6.1-1.fc18, gnome-themes-standard-3.6.2-1.fc18, gnome-user-docs-3.6.2-1.fc18, gnote-3.6.1-1.fc18, gobject-introspection-1.34.2-1.fc18, grilo-0.2.3-1.fc18, grilo-plugins-0.2.3-1.fc18, gsettings-desktop-schemas-3.6.1-1.fc18, gtk3-3.6.2-1.fc18, gtkhtml3-4.6.1-1.fc18, gucharmap-3.6.1-1.fc18, gvfs-1.14.2-1.fc18, libcroco-0.6.8-1.fc18, libgdl-3.6.2-1.fc18, libgee06-0.6.6.1-1.fc18, libgweather-3.6.2-1.fc18, libsoup-2.40.2-1.fc18, libwnck3-3.4.4-1.fc18, libxml++-2.36.0-1.fc18, mutter-3.6.2-1.fc18, nautilus-3.6.3-1.fc18, orca-3.6.3-1.fc18, pango-1.32.2-1.fc18, pangox-compat-0.0.2-1.fc18, pyatspi-2.6.0-1.fc18, pygobject3-3.4.2-2.fc18, seahorse-3.6.3-1.fc18, seahorse-sharing-3.6.1-1.fc18, sushi-3.6.1-1.fc18, tracker-0.14.4-1.fc18, vala-0.18.1-1.fc18, vinagre-3.6.2-1.fc18, vino-3.6.2-1.fc18, vte3-0.34.2-1.fc18, yelp-3.6.2-1.fc18, baobab-3.6.3-1.fc18, gnome-bluetooth-3.6.1-1.fc18, totem-3.6.3-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing accerciser-3.6.2-1.fc18 anjuta-3.6.2-1.fc18 at-spi2-atk-2.6.2-1.fc18 at-spi2-core-2.6.2-1.fc18 brasero-3.6.1-1.fc18 cheese-3.6.2-1.fc18 control-center-3.6.3-1.fc18 dconf-0.14.1-3.fc18 devhelp-3.6.1-1.fc18 empathy-3.6.2-1.fc18 eog-3.6.2-1.fc18 evolution-3.6.2-2.fc18 evolution-data-server-3.6.2-1.fc18 evolution-ews-3.6.1-1.fc18 evolution-mapi-3.6.2-1.fc18 file-roller-3.6.2-1.fc18 gcalctool-6.6.2-1.fc18 gcr-3.6.2-1.fc18 gdk-pixbuf2-2.26.5-1.fc18 gdm-3.6.2-1.fc18 gedit-3.6.2-1.fc18 glib2-2.34.2-1.fc18 glibmm24-2.34.1-1.fc18 glib-networking-2.34.2-1.fc18 glom-1.22.1-1.fc18 gmime-2.6.12-1.fc18 gnome-contacts-3.6.2-1.fc18 gnome-desktop3-3.6.2-1.fc18 gnome-devel-docs-3.6.2-1.fc18 gnome-documents-3.6.2-1.fc18 gnome-font-viewer-3.6.1-1.fc18 gnome-icon-theme-3.6.2-1.fc18 gnome-icon-theme-extras-3.6.2-1.fc18 gnome-icon-theme-symbolic-3.6.2-1.fc18 gnome-keyring-3.6.2-1.fc18 gnome-menus-3.6.1-1.fc18 gnome-online-accounts-3.6.2-1.fc18 gnome-packagekit-3.6.1-1.fc18 gnome-panel-3.6.2-1.fc18 gnome-screenshot-3.6.1-1.fc18 gnome-session-3.6.2-2.fc18 gnome-settings-daemon-3.6.3-1.fc18 gnome-shell-3.6.2-2.fc18 gnome-system-log-3.6.1-1.fc18 gnome-themes-standard-3.6.2-1.fc18 gnome-user-docs-3.6.2-1.fc18 gnote-3.6.1-1.fc18 gobject-introspection-1.34.2-1.fc18 grilo-0.2.3-1.fc18 grilo-plugins-0.2.3-1.fc18 gsettings-desktop-schemas-3.6.1-1.fc18 gtk3-3.6.2-1.fc18 gtkhtml3-4.6.1-1.fc18 gucharmap-3.6.1-1.fc18 gvfs-1.14.2-1.fc18 libcroco-0.6.8-1.fc18 libgdl-3.6.2-1.fc18 libgee06-0.6.6.1-1.fc18 libgweather-3.6.2-1.fc18 libsoup-2.40.2-1.fc18 libwnck3-3.4.4-1.fc18 libxml++-2.36.0-1.fc18 mutter-3.6.2-1.fc18 nautilus-3.6.3-1.fc18 orca-3.6.3-1.fc18 pango-1.32.2-1.fc18 pangox-compat-0.0.2-1.fc18 pyatspi-2.6.0-1.fc18 pygobject3-3.4.2-2.fc18 seahorse-3.6.3-1.fc18 seahorse-sharing-3.6.1-1.fc18 sushi-3.6.1-1.fc18 tracker-0.14.4-1.fc18 vala-0.18.1-1.fc18 vinagre-3.6.2-1.fc18 vino-3.6.2-1.fc18 vte3-0.34.2-1.fc18 yelp-3.6.2-1.fc18 baobab-3.6.3-1.fc18 gnome-bluetooth-3.6.1-1.fc18 totem-3.6.3-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-18258/accerciser-3.6.2-1.fc18,anjuta-3.6.2-1.fc18,at-spi2-atk-2.6.2-1.fc18,at-spi2-core-2.6.2-1.fc18,baobab-3.6.3-1.fc18,brasero-3.6.1-1.fc18,cheese-3.6.2-1.fc18,control-center-3.6.3-1.fc18,dconf-0.14.1-3.fc18,devhelp-3.6.1-1.fc18,empathy-3.6.2-1.fc18,eog-3.6.2-1.fc18,evolution-3.6.2-2.fc18,evolution-data-server-3.6.2-1.fc18,evolution-ews-3.6.1-1.fc18,evolution-mapi-3.6.2-1.fc18,file-roller-3.6.2-1.fc18,gcalctool-6.6.2-1.fc18,gcr-3.6.2-1.fc18,gdk-pixbuf2-2.26.5-1.fc18,gdm-3.6.2-1.fc18,gedit-3.6.2-1.fc18,glib2-2.34.2-1.fc18,glibmm24-2.34.1-1.fc18,glib-networking-2.34.2-1.fc18,glom-1.22.1-1.fc18,gmime-2.6.12-1.fc18,gnome-bluetooth-3.6.1-1.fc18,gnome-contacts-3.6.2-1.fc18,gnome-desktop3-3.6.2-1.fc18,gnome-devel-docs-3.6.2-1.fc18,gnome-documents-3.6.2-1.fc18,gnome-font-viewer-3.6.1-1.fc18,gnome-icon-theme-3.6.2-1.fc18,gnome-icon-theme-extras-3.6.2-1.fc18,gnome-icon-theme-symbolic-3.6.2-1.fc18,gnome-keyring-3.6.2-1.fc18,gnome-menus-3.6.1-1.fc18,gnome-online-accounts-3.6.2-1.fc18,gnome-packagekit-3.6.1-1.fc18,gnome-panel-3.6.2-1.fc18,gnome-screenshot-3.6.1-1.fc18,gnome-session-3.6.2-2.fc18,gnome-settings-daemon-3.6.3-1.fc18,gnome-shell-3.6.2-2.fc18,gnome-system-log-3.6.1-1.fc18,gnome-themes-standard-3.6.2-1.fc18,gnome-user-docs-3.6.2-1.fc18,gnote-3.6.1-1.fc18,gobject-introspection-1.34.2-1.fc18,grilo-0.2.3-1.fc18,grilo-plugins-0.2.3-1.fc18,gsettings-desktop-schemas-3.6.1-1.fc18,gtk3-3.6.2-1.fc18,gtkhtml3-4.6.1-1.fc18,gucharmap-3.6.1-1.fc18,gvfs-1.14.2-1.fc18,libcroco-0.6.8-1.fc18,libgdl-3.6.2-1.fc18,libgee06-0.6.6.1-1.fc18,libgweather-3.6.2-1.fc18,libsoup-2.40.2-1.fc18,libwnck3-3.4.4-1.fc18,libxml++-2.36.0-1.fc18,mutter-3.6.2-1.fc18,nautilus-3.6.3-1.fc18,orca-3.6.3-1.fc18,pango-1.32.2-1.fc18,pangox-compat-0.0.2-1.fc18,pyatspi-2.6.0-1.fc18,pygobject3-3.4.2-2.fc18,seahorse-3.6.3-1.fc18,seahorse-sharing-3.6.1-1.fc18,sushi-3.6.1-1.fc18,totem-3.6.3-1.fc18,tracker-0.14.4-1.fc18,vala-0.18.1-1.fc18,vinagre-3.6.2-1.fc18,vino-3.6.2-1.fc18,vte3-0.34.2-1.fc18,yelp-3.6.2-1.fc18
then log in and leave karma (feedback).

Comment 13 Fedora Update System 2012-11-23 07:32:03 UTC
accerciser-3.6.2-1.fc18, anjuta-3.6.2-1.fc18, at-spi2-atk-2.6.2-1.fc18, at-spi2-core-2.6.2-1.fc18, brasero-3.6.1-1.fc18, cheese-3.6.2-1.fc18, control-center-3.6.3-1.fc18, dconf-0.14.1-3.fc18, devhelp-3.6.1-1.fc18, empathy-3.6.2-1.fc18, eog-3.6.2-1.fc18, evolution-3.6.2-2.fc18, evolution-data-server-3.6.2-1.fc18, evolution-ews-3.6.1-1.fc18, evolution-mapi-3.6.2-1.fc18, file-roller-3.6.2-1.fc18, gcalctool-6.6.2-1.fc18, gcr-3.6.2-1.fc18, gdk-pixbuf2-2.26.5-1.fc18, gdm-3.6.2-1.fc18, gedit-3.6.2-1.fc18, glib2-2.34.2-1.fc18, glibmm24-2.34.1-1.fc18, glib-networking-2.34.2-1.fc18, glom-1.22.1-1.fc18, gmime-2.6.12-1.fc18, gnome-contacts-3.6.2-1.fc18, gnome-desktop3-3.6.2-1.fc18, gnome-devel-docs-3.6.2-1.fc18, gnome-documents-3.6.2-1.fc18, gnome-font-viewer-3.6.1-1.fc18, gnome-icon-theme-3.6.2-1.fc18, gnome-icon-theme-extras-3.6.2-1.fc18, gnome-icon-theme-symbolic-3.6.2-1.fc18, gnome-keyring-3.6.2-1.fc18, gnome-menus-3.6.1-1.fc18, gnome-online-accounts-3.6.2-1.fc18, gnome-packagekit-3.6.1-1.fc18, gnome-panel-3.6.2-1.fc18, gnome-screenshot-3.6.1-1.fc18, gnome-session-3.6.2-2.fc18, gnome-settings-daemon-3.6.3-1.fc18, gnome-shell-3.6.2-2.fc18, gnome-system-log-3.6.1-1.fc18, gnome-themes-standard-3.6.2-1.fc18, gnome-user-docs-3.6.2-1.fc18, gnote-3.6.1-1.fc18, gobject-introspection-1.34.2-1.fc18, grilo-0.2.3-1.fc18, grilo-plugins-0.2.3-1.fc18, gsettings-desktop-schemas-3.6.1-1.fc18, gtk3-3.6.2-1.fc18, gtkhtml3-4.6.1-1.fc18, gucharmap-3.6.1-1.fc18, gvfs-1.14.2-1.fc18, libcroco-0.6.8-1.fc18, libgdl-3.6.2-1.fc18, libgee06-0.6.6.1-1.fc18, libgweather-3.6.2-1.fc18, libsoup-2.40.2-1.fc18, libwnck3-3.4.4-1.fc18, libxml++-2.36.0-1.fc18, mutter-3.6.2-1.fc18, nautilus-3.6.3-1.fc18, orca-3.6.3-1.fc18, pango-1.32.2-1.fc18, pangox-compat-0.0.2-1.fc18, pyatspi-2.6.0-1.fc18, pygobject3-3.4.2-2.fc18, seahorse-3.6.3-1.fc18, seahorse-sharing-3.6.1-1.fc18, sushi-3.6.1-1.fc18, tracker-0.14.4-1.fc18, vala-0.18.1-1.fc18, vinagre-3.6.2-1.fc18, vino-3.6.2-1.fc18, vte3-0.34.2-1.fc18, yelp-3.6.2-1.fc18, baobab-3.6.3-1.fc18, gnome-bluetooth-3.6.1-1.fc18, totem-3.6.3-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Jens Petersen 2012-11-23 10:46:55 UTC
Great logout works with Fedora-18-Beta-x86_64-Live-LXDE.iso (RC1).

Comment 15 Kalev Lember 2012-11-23 12:18:43 UTC
Excellent, thanks for testing!